<div fxLayout="row" fxLayoutAlign="start center">
  <mat-icon *ngIf="dialog.icon" class="e-mat-icon e-mat-icon--2 e-txt-eblue700 eh-mr-4">{{dialog.icon}}</mat-icon>
  <span class="eh-txt-bold e-txt-eblue700">{{dialog.title}}</span>
</div>
<mat-divider class="e-mat-divider eh-mt-8"></mat-divider>

<div class="eh-w-200 eh-h-100" fxLayout="column" fxLayoutAlign="space-between">
  <div class="eh-pt-16 eh-pb-20" fxFlex="1 1 auto" fxLayout="row" fxLayoutAlign="center center">
    <div class="eh-txt-breakword eh-txt-center" [innerHTML]="dialog.message"></div>
  </div>

  <div fxFlex="0 0 auto" fxLayout="row" fxLayoutAlign="center">
    <button *ngIf="dialog.actionFalseBtnTxt" mat-flat-button
      [ngClass]="['e-mat-button', 'eh-mr-16', dialog.actionFalseBtnStyle]"
      [mat-dialog-close]="false">{{dialog.actionFalseBtnTxt}}</button>
    <button mat-flat-button [ngClass]="['e-mat-button', dialog.actionTrueBtnStyle]"
      [mat-dialog-close]="true">{{dialog.actionTrueBtnTxt}}</button>
  </div>
</div>